# ec2_lc_info – Gather information about AWS Autoscaling Launch Configurations

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Gather information about AWS Autoscaling Launch Configurations
- This module was called `ec2_lc_facts` before Ansible 2.9. The usage did not change.

Aliases: ec2_lc_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
name - | Default: [] | A name or a list of name to match.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

sort
-

Choices:
- launch_configuration_name
- image_id
- created_time
- instance_type
- kernel_id
- ramdisk_id
- key_name

Optional attribute which with to sort the results.

sort_end - |  | Which result to end with (when sorting). Corresponds to Python slice notation.

sort_order
-

Choices:
- ascending ←
- descending

Order in which to sort results.
Only used when the 'sort' parameter is specified.

sort_start - |  | Which result to start with (when sorting). Corresponds to Python slice notation.

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Gather information about all launch configurations
    - ec2_lc_info:

    # Gather information about launch configuration with name "example"
    - ec2_lc_info:
        name: example

    # Gather information sorted by created_time from most recent to least recent
    - ec2_lc_info:
        sort: created_time
        sort_order: descending

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
block_device_mapping list | always | Block device mapping for the instances of launch configuration Sample: [{ 'device_name': '/dev/xvda':, 'ebs': { 'delete_on_termination': true, 'volume_size': 8, 'volume_type': 'gp2' }]
classic_link_vpc_security_groups string | always | IDs of one or more security groups for the VPC specified in classic_link_vpc_id
created_time string | always | The creation date and time for the launch configuration Sample: 2016-05-27T13:47:44.216000+00:00
ebs_optimized boolean | always | EBS I/O optimized (true ) or not (false ) Sample: true,
image_id string | always | ID of the Amazon Machine Image (AMI) Sample: ami-12345678
instance_monitoring dictionary | always | Launched with detailed monitoring or not Sample: { 'enabled': true }
instance_type string | always | Instance type Sample: t2.micro
kernel_id string | always | ID of the kernel associated with the AMI
key_name string | always | Name of the key pair Sample: user_app
launch_configuration_arn string | always | Amazon Resource Name (ARN) of the launch configuration Sample: arn:aws:autoscaling:us-east-1:666612345678:launchConfiguration:ba785e3a-dd42-6f02-4585-ea1a2b458b3d:launchConfigurationName/lc-app
launch_configuration_name string | always | Name of the launch configuration Sample: lc-app
ramdisk_id string | always | ID of the RAM disk associated with the AMI
security_groups list | always | Security groups to associated Sample: [ 'web' ]
user_data string | always | User data available

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loïc Latreille (@psykotox)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.